Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS1mM2g5LThwaGMtNmd2aM4AA5F4

Gradio Path Traversal vulnerability

A local file include could be remotely triggered in Gradio due to a vulnerable user-supplied JSON value in an API request.

Permalink: https://github.com/advisories/GHSA-f3h9-8phc-6gvh
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS1mM2g5LThwaGMtNmd2aM4AA5F4
Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: 24 days ago
Updated: 24 days ago


CVSS Score: 7.5
CVSS vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Identifiers: GHSA-f3h9-8phc-6gvh, CVE-2024-0964
References:

Affected Packages

pypi:gradio
Versions: < 4.9.0
Fixed in: 4.9.0